org.eclipse.oomph.setup.targlets

## Interface TargletTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    TargletTaskImpl

      public interface TargletTask
      extends SetupTask

  A representation of the model object 'Targlet Task'.

  The following features are supported:

  - `Targlets`
  - `Targlet UR Is`
  - `Operating System`
  - `Windowing System`
  - `Architecture`
  - `Locale`
  See Also:
    `SetupTargletsPackage.getTargletTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArchitecture()` Returns the value of the 'Architecture' attribute.
    `String` | `getLocale()` Returns the value of the 'Locale' attribute.
    `String` | `getOperatingSystem()` Returns the value of the 'Operating System' attribute.
    `EList<Targlet>` | `getTarglets()` Returns the value of the 'Targlets' containment reference list.
    `EList<String>` | `getTargletURIs()` Returns the value of the 'Targlet UR Is' attribute list.
    `String` | `getWindowingSystem()` Returns the value of the 'Windowing System' attribute.
    `void` | `setArchitecture(String value)` Sets the value of the '`Architecture`' attribute.
    `void` | `setLocale(String value)` Sets the value of the '`Locale`' attribute.
    `void` | `setOperatingSystem(String value)` Sets the value of the '`Operating System`' attribute.
    `void` | `setWindowingSystem(String value)` Sets the value of the '`Windowing System`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTarglets

          EList<Targlet> getTarglets()

      Returns the value of the 'Targlets' containment reference list. The list contents are of type `Targlet`.

      If the meaning of the 'Targlets' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Targlets' containment reference list.
      See Also:
        `SetupTargletsPackage.getTargletTask_Targlets()`
      Generated
      Model
        containment="true" extendedMetaData="name='targlet'"

    - #### getTargletURIs

          EList<String> getTargletURIs()

      Returns the value of the 'Targlet UR Is' attribute list. The list contents are of type `String`.

      If the meaning of the 'Targlet UR Is' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Targlet UR Is' attribute list.
      See Also:
        `SetupTargletsPackage.getTargletTask_TargletURIs()`
      Generated
      Model
        extendedMetaData="name='targletURI'"

    - #### getOperatingSystem

          String getOperatingSystem()

      Returns the value of the 'Operating System' attribute.

      If the meaning of the 'Operating System' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Operating System' attribute.
      See Also:
        `setOperatingSystem(String)`, `SetupTargletsPackage.getTargletTask_OperatingSystem()`
      Generated
      Model

    - #### setOperatingSystem

          void setOperatingSystem(String value)

      Sets the value of the '`Operating System`' attribute.
      Parameters:
        `value` - the new value of the 'Operating System' attribute.
      See Also:
        `getOperatingSystem()`
      Generated

    - #### getWindowingSystem

          String getWindowingSystem()

      Returns the value of the 'Windowing System' attribute.

      If the meaning of the 'Windowing System' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Windowing System' attribute.
      See Also:
        `setWindowingSystem(String)`, `SetupTargletsPackage.getTargletTask_WindowingSystem()`
      Generated
      Model

    - #### setWindowingSystem

          void setWindowingSystem(String value)

      Sets the value of the '`Windowing System`' attribute.
      Parameters:
        `value` - the new value of the 'Windowing System' attribute.
      See Also:
        `getWindowingSystem()`
      Generated

    - #### getArchitecture

          String getArchitecture()

      Returns the value of the 'Architecture' attribute.

      If the meaning of the 'Architecture' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Architecture' attribute.
      See Also:
        `setArchitecture(String)`, `SetupTargletsPackage.getTargletTask_Architecture()`
      Generated
      Model

    - #### setArchitecture

          void setArchitecture(String value)

      Sets the value of the '`Architecture`' attribute.
      Parameters:
        `value` - the new value of the 'Architecture' attribute.
      See Also:
        `getArchitecture()`
      Generated

    - #### getLocale

          String getLocale()

      Returns the value of the 'Locale' attribute.

      If the meaning of the 'Locale' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Locale' attribute.
      See Also:
        `setLocale(String)`, `SetupTargletsPackage.getTargletTask_Locale()`
      Generated
      Model

    - #### setLocale

          void setLocale(String value)

      Sets the value of the '`Locale`' attribute.
      Parameters:
        `value` - the new value of the 'Locale' attribute.
      See Also:
        `getLocale()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html